Bug 259323 - devel/py-canonicaljson: devel/py-frozendict 2.0.6 (>=2.0.4) breaks devel/py-canonicaljson, update to 1.5.0
Summary: devel/py-canonicaljson: devel/py-frozendict 2.0.6 (>=2.0.4) breaks devel/py-c...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Po-Chuan Hsieh
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2021-10-20 17:18 UTC by Sascha Biberhofer
Modified: 2021-11-05 20:40 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
devel/py-canonicaljson: Update to 1.5.0 (980 bytes, patch)
2021-10-20 17:18 UTC, Sascha Biberhofer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Biberhofer 2021-10-20 17:18:44 UTC
Created attachment 228895 [details]
devel/py-canonicaljson: Update to 1.5.0

The recent update of devel/py-frozendict to 2.0.6 broke devel/py-canonicaljson and, by extension, net-im/py-matrix-synapse, see [1]. Upstream just released version 1.5.0, which fixes that problem. The attached diff updates devel/py-canonicaljson to 1.5.0.

Tests pass fine with this version of py-canonicaljson, as does the synapse testsuite.

Cheers,
Sascha

[1] https://github.com/matrix-org/python-canonicaljson/issues/36
Comment 1 Sascha Biberhofer 2021-10-30 12:28:34 UTC
It seems like this has already been committed after this bug report had been filed in commit c627954c5d8d6df5c51c24ac3a67ea699a503d2d

However, we still ship a broken version in 2021Q4 as far as I can tell. Do we want/need to merge this to quarterly?
Comment 2 Po-Chuan Hsieh freebsd_committer 2021-11-05 20:40:48 UTC
MFH'd in 0a03400791bb6fb30697ed24705b2ff6c8c1b177.
Thanks!